From 7522bdb0e898144da2b6dc361dbdd549b39bc025 Mon Sep 17 00:00:00 2001
From: Michael Polenchuk <mpolenchuk@mirantis.com>
Date: Tue, 23 Apr 2019 14:42:07 +0400
Subject: Patch dhcp agent to avoid unwanted rescheduling

Change-Id: Id49f26a2615e2fc06e94eeaf2e9200e83625e6c9
Signed-off-by: Michael Polenchuk <mpolenchuk@mirantis.com>
---
 mcp/config/states/neutron_dhcp_agent_patch | 12 ++++++++++++
 mcp/config/states/neutron_gateway          |  1 +
 mcp/config/states/openstack_ha             |  1 +
 3 files changed, 14 insertions(+)
 create mode 100755 mcp/config/states/neutron_dhcp_agent_patch

(limited to 'mcp/config')

diff --git a/mcp/config/states/neutron_dhcp_agent_patch b/mcp/config/states/neutron_dhcp_agent_patch
new file mode 100755
index 000000000..a9e14bee7
--- /dev/null
+++ b/mcp/config/states/neutron_dhcp_agent_patch
@@ -0,0 +1,12 @@
+#!/bin/bash -e
+##############################################################################
+# Copyright (c) 2019 Mirantis Inc., Enea AB and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+# regression due to https://bugs.launchpad.net/neutron/+bug/1760047
+salt -I 'neutron:gateway' pkg.install python-neutron
+salt -I 'neutron:gateway' file.patch /usr/lib/python2.7/dist-packages/neutron/agent/dhcp/agent.py /var/tmp/dhcp_agent.patch || true
diff --git a/mcp/config/states/neutron_gateway b/mcp/config/states/neutron_gateway
index 77b1167de..06f9b7725 100755
--- a/mcp/config/states/neutron_gateway
+++ b/mcp/config/states/neutron_gateway
@@ -9,4 +9,5 @@
 
 CI_DEBUG=${CI_DEBUG:-0}; [[ "${CI_DEBUG}" =~ (false|0) ]] || set -x
 
+$(dirname "${BASH_SOURCE[0]}")/neutron_dhcp_agent_patch
 salt -I 'neutron:gateway' state.sls neutron
diff --git a/mcp/config/states/openstack_ha b/mcp/config/states/openstack_ha
index 7cf40086e..7c66704c8 100755
--- a/mcp/config/states/openstack_ha
+++ b/mcp/config/states/openstack_ha
@@ -52,6 +52,7 @@ salt -I 'cinder:controller:role:primary' state.sls cinder
 salt -I 'cinder:controller:role:secondary' state.sls cinder
 wait_for 3.0 "salt -I 'cinder:volume' state.sls cinder"
 
+$(dirname "${BASH_SOURCE[0]}")/neutron_dhcp_agent_patch
 salt -I 'neutron:server:role:primary' state.sls neutron
 salt -I 'neutron:server:role:secondary' state.sls neutron
 salt -I 'neutron:gateway' state.sls neutron.gateway
-- 
cgit